View Issue Details

IDProjectCategoryView StatusLast Update
0033405FPCPackagespublic2018-03-18 18:33
ReporterStephanoAssigned ToMichael Van Canneyt 
PriorityhighSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033405: fpreport: Master/detail error leading to crash
DescriptionThis test was done using the standalone designer, the data setup of which doesn't understand the master/detail concept among defined data. It would be like if all records in the detail are linked to each and every record of the master, which is fine for this test.

The preview however encounters an error: Unknown identifier: Employees.SALARY.

If the aggregate variable SumDeptSalary is deleted, and the corresponding memo is removed from the group footer detail band, then the report renders, but the detail group header and footer don't show up (pdf attached).

A 3rd preview produces a SIGSEGV.

The report file is attached.
TagsNo tags attached.
Fixed in Revision38560
FPCOldBugId0
FPCTarget
Attached Files

Activities

Stephano

2018-03-09 20:28

developer  

MasterDetailGroupHeaderBug.json (21,076 bytes)

Stephano

2018-03-09 20:29

developer  

MasterDetailGroupHeaderBug.pdf (149,391 bytes)

Michael Van Canneyt

2018-03-18 12:14

administrator   ~0107231

Fixed, thanks for reporting!

Issue History

Date Modified Username Field Change
2018-03-09 20:28 Stephano New Issue
2018-03-09 20:28 Stephano Status new => assigned
2018-03-09 20:28 Stephano Assigned To => Michael Van Canneyt
2018-03-09 20:28 Stephano File Added: MasterDetailGroupHeaderBug.json
2018-03-09 20:29 Stephano File Added: MasterDetailGroupHeaderBug.pdf
2018-03-10 07:13 Stephano Priority normal => high
2018-03-10 07:13 Stephano Severity minor => major
2018-03-10 07:13 Stephano Summary fpreport: Master/detail bug => fpreport: Master/detail error leading to crash
2018-03-18 12:14 Michael Van Canneyt Fixed in Revision => 38560
2018-03-18 12:14 Michael Van Canneyt Note Added: 0107231
2018-03-18 12:14 Michael Van Canneyt Status assigned => resolved
2018-03-18 12:14 Michael Van Canneyt Fixed in Version => 3.1.1
2018-03-18 12:14 Michael Van Canneyt Resolution open => fixed
2018-03-18 12:14 Michael Van Canneyt Target Version => 3.2.0
2018-03-18 18:33 Stephano Status resolved => closed